<template>
  <div class='register-wrapper'>
    <el-form
      ref='registerForm'
      :model='registerForm'
      :rules='registerRules'
      class='register-form'
    >
      <el-row>
        <el-form-item prop='new_password'>
          <el-input
            v-model='registerForm.new_password'
            type='password'
            auto-complete='off'
            placeholder='新密码'
            
          >
            <svg-icon
              slot='prefix'
              icon-class='password'
              class='el-input__icon input-icon'
            />
          </el-input>
        </el-form-item>
      </el-row>
      <el-row>
        <el-form-item prop='email'>
          <el-input
            v-model='registerForm.email'
            type='text'
            auto-complete='off'
            placeholder='同济邮箱'
          >
            <svg-icon
              slot='prefix'
              icon-class='email'
              class='el-input__icon input-icon'
            />
          </el-input>
        </el-form-item>
      </el-row>
      <el-row>
        <el-form-item>
          <button class='btn-register' @click.prevent='send_email'>
            向邮箱发送验证码
          </button>
        </el-form-item>
      </el-row>
    </el-form>
    <el-dialog title='请输入验证码' :visible.sync='dialogVisible' width='30%'>
      <el-input v-model='code' type='text' auto-complete='off' placeholder=''>
      </el-input>
      <span slot='footer' class='dialog-footer'>
        <el-button @click='dialogVisible = false'>取 消</el-button>
        <el-button type='primary' @click='confirm()'>验 证</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      registerForm: {
        new_password: '',
        email: '',
      },
      registerRules: {
        new_password: [
          { required: true, trigger: 'blur', message: '新密码不能为空' },
        ],
        email: [
          { required: true, trigger: 'blur', message: '邮箱不能为空' },
          {
            pattern: /^[a-zA-Z0-9]+@tongji.edu.cn$/,
            message: '请输入合法的同济邮箱',
            trigger: 'change',
          },
        ],
      },
      loading: false,
      dialogVisible: false,
      code:'',
    };
  },
  methods: {
    send_email() {
      // 发送邮件

      // 显示输入验证码的对话框
      this.dialogVisible = true;
    },
    // 验证码确认
    confirm(){
      // 比较验证码
      // debug代表成功与否
      var debug = true;
      // console.log('debug: ',debug);
      if(debug){
        // 提示注册成功
        this.$message.success('修改成功，请登录！');
        // console.log('修改成功，请登录！');
        this.dialogVisible = false;
        // 返回登录页面
        this.$router.push('/');        
      }
      else{
        // 验证失败
        this.$message.error('验证码错误，请重试');
      }
    },

  },
  created() {},
};
</script>

<style lang='scss'>
.register-wrapper {
  width: 90%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0);
  margin: 0 auto;
  margin-top: 5%;
  padding: 5%;
}

.register-form {
  margin: 0px auto;
  width: 100%;
  height: 100%;
  //padding: 2% 0;
  background: #ffffff00;
  justify-content: center;
  align-items: center;
}
.btn-register {
  display: inline-block;
  line-height: 1;
  white-space: nowrap;
  background-image: linear-gradient(
    90deg,
    rgb(114, 135, 254),
    rgb(130, 88, 186)
  );
  // background: rgb(175, 37, 37);
  border: 1px solid rgb(114, 135, 254);
  color: #ffffff;
  width: 100%;
  text-align: center;
  box-sizing: border-box;
  outline: 0;
  margin: 0;
  -webkit-box-sizing: border-box;
  -webkit-appearance: none;
  -webkit-transition: 0.1s;
  transition: 0.1s;
  font-weight: 500;
  padding: 12px 20px;
  font-size: 14px;
  border-radius: 4px;
}

.btn-register:focus,
.btn-register:hover {
  color: #ffffff;
  border-color: rgb(131, 150, 254);
  background-image: linear-gradient(
    90deg,
    rgb(131, 150, 254),
    rgb(158, 121, 205)
  );
}
.btn-register:active {
  color: #ffffff;
  border-color: rgb(114, 135, 250);
  background-image: linear-gradient(
    90deg,
    rgb(114, 135, 250),
    rgb(106, 62, 164)
  );
  outline: 0;
}
</style>